## xorg-server 21.1.3

=== meson_options.txt ===
option('xorg', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable Xorg X Server')
option('xephyr', type: 'boolean', value: false,
       description: 'Enable Xephyr nested X server')
option('glamor', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable glamor (default yes for Xorg builds)')
option('xnest', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable Xnest nested X server')
option('xvfb', type: 'boolean', value: true,
       description: 'Enable Xvfb X server')
option('xwin', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable XWin X server')
option('xquartz', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable Xquartz X server')


option('builder_addr', type: 'string', description: 'Builder address', value: 'xorg@lists.freedesktop.org')
option('builder_string', type: 'string', description: 'Additional builder string')

option('log_dir', type: 'string')
option('module_dir', type: 'string', value: 'xorg/modules',
       description: 'X.Org modules directory (absolute or relative to the directory specified by the libdir option)')
option('default_font_path', type: 'string')

option('glx', type: 'boolean', value: true)
option('xdmcp', type: 'boolean', value: true)
option('xdm-auth-1', type: 'boolean', value: true)
option('secure-rpc', type: 'boolean', value: true)
option('ipv6', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto')
option('input_thread', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto')

option('xkb_dir', type: 'string')
option('xkb_output_dir', type: 'string')
option('xkb_bin_dir', type: 'string')
option('xkb_default_rules', type: 'string', value: 'evdev')
option('xkb_default_model', type: 'string', value: 'pc105')
option('xkb_default_layout', type: 'string', value: 'us')
option('xkb_default_variant', type: 'string')
option('xkb_default_options', type: 'string')

option('fallback_input_driver', type: 'string', value: 'auto')

option('vendor_name', type: 'string', value: 'The X.Org Foundation')
option('vendor_name_short', type: 'string', value: 'X.Org')
option('vendor_web', type: 'string', value: 'http://wiki.x.org')

option('dtrace', type: 'boolean', value: false,
       description: 'Enable dtrace hooks')

option('listen_tcp', type: 'boolean', value: false,
       description: 'Listen on TCP by default')
option('listen_unix', type: 'boolean', value: true,
       description: 'Listen on Unix by default')
option('listen_local', type: 'boolean', value: true,
       description: 'Listen on local by default')

option('int10', type: 'combo', choices: ['stub', 'x86emu', 'vm86', 'auto', 'false'],
       value: 'auto',
       description: 'Xorg int10 backend (default: usually x86emu)')
option('suid_wrapper', type: 'boolean', value: 'false',
       description: 'SUID wrapper for legacy driver support')
option('pciaccess', type: 'boolean', value: 'true',
       description: 'Xorg pciaccess support')
option('udev', type: 'boolean', value: 'true')
option('udev_kms', type: 'boolean', value: 'true')
option('hal', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable HAL integration')
option('systemd_logind', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable systemd-logind integration')
option('vgahw', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Xorg VGA access module')
option('dpms', type: 'boolean', value: true,
       description: 'Xorg DPMS extension')
option('xf86bigfont', type: 'boolean', value: false,
       description: 'XF86 Big Font extension')
option('screensaver', type: 'boolean', value: true,
       description: 'ScreenSaver extension')
option('xres', type: 'boolean', value: true,
       description: 'XRes extension')
option('xace', type: 'boolean', value: true,
       description: 'X-ACE extension')
option('xselinux', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'XSELINUX extension')
option('xinerama', type: 'boolean', value: true,
       description: 'Xinerama extension')
option('xcsecurity', type: 'boolean', value: false,
       description: 'Security extension')
option('xv', type: 'boolean', value: true,
       description: 'Xv extension')
option('xvmc', type: 'boolean', value: true,
       description: 'XvMC extension')
option('dga', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'DGA extension')
option('linux_apm', type: 'boolean', value: true,
       description: 'APM support on Linux')
option('linux_acpi', type: 'boolean', value: true,
       description: 'ACPI support on Linux')
option('mitshm', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'SHM extension')
option('agp', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'AGP support')
option('sha1', type: 'combo', choices: ['libc', 'CommonCrypto', 'CryptoAPI', 'libmd', 'libsha1', 'libnettle', 'libgcrypt', 'libcrypto', 'auto'], value: 'auto',
       description: 'SHA1 implementation')
option('xf86-input-inputtest', type: 'boolean', value: true,
       description: 'Test input driver support on Xorg')

option('dri1', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto', description: 'Build DRI1 extension (default: auto)')
option('dri2', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto', description: 'Build DRI2 extension (default: auto)')
option('dri3', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto', description: 'Build DRI3 extension (default: auto)')
option('drm', type: 'boolean', value: 'true',
        description: 'Build Xorg with libdrm support')

option('apple-applications-dir', type: 'string', value: '/Applications/Utilities',
        description: 'Applications directory')
option('apple-application-name', type: 'string', value: 'X11',
        description: 'Application name')
option('bundle-id-prefix', type: 'string', value: 'org.x',
        description: 'RDNS prefix for bundle identifier')
option('sparkle-feed-url', type: 'string',
        description: 'Feed URL for autoupdating with the Sparkle Framework (default: disabled)')
option('xpbproxy', type: 'boolean', value: false,
        description: 'Build a standalone X pasteboard proxy')

option('libunwind', type: 'boolean', value: false,
        description: 'Use libunwind for backtrace reporting')

option('docs', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Build documentation')
option('devel-docs', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Build development documentation')
option('docs-pdf', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Whether to build PDF version of documentation. Setting is ignored if documentation is not built.')

## xorg-server 1.1.99.3-0osso21

=== debian/changelog ===
xorg-server (1:1.1.99.3-0osso21) unstable; urgency=low

  * Don't call SYNC_GFX when we've explicitly disabled vsync.
  * Fast-path unrotated I420 in KdXVCopyPlanarData.
    Fixes: NB#48325

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 23 Nov 2006 13:16:57 +0200

xorg-server (1:1.1.99.3-0osso20) unstable; urgency=low

  * Make sure we sync the video plane before we touch the memory (fixes:
    NB#47522).

 -- Daniel Stone <daniel.stone@nokia.com>  Mon, 13 Nov 2006 18:29:29 +0200

xorg-server (1:1.1.99.3-0osso19) unstable; urgency=low

  * Recalibrate touchscreen for F4, add all known F4/F5 hardware IDs to it and
    set it as the default for this touchscreen.  Reorganise earlier
    calibrations and add all known earlier hardware IDs as aliases to these
    (fixes: NB#47030).
  * Try to bring our stopping and starting of the overlay as close together as
    possible, and don't damage the region when we change the colourkey, and
    try to reduce the number of system calls we make along these paths.  This
    fixes the random green flashes (fixes: NB#47032).
  * Make sure vmods get written as well as correctly sized (fixes: NB#46717).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  9 Nov 2006 16:00:51 +0200

xorg-server (1:1.1.99.3-0osso18) unstable; urgency=low

  * Ensure XKB vmodmap reply size is the same as what's actually sent on the
    wire (fixes: NB#46717).
  * Dirty overlay on cliprect changes, gently reset it (fixes: NB#45954).

 -- Daniel Stone <daniel.stone@nokia.com>  Tue,  7 Nov 2006 17:26:32 +0200

xorg-server (1:1.1.99.3-0osso17) unstable; urgency=low

  * Perform serious arg reduction in the fbComposite* paths.
  * Fix crash in XSelectEvents (fixes: NB#46237).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed,  1 Nov 2006 15:59:29 +0200

xorg-server (1:1.1.99.3-0osso16) unstable; urgency=low

  * Another typo in the changelog.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 31 Oct 2006 12:30:26 +0200

xorg-server (1:1.1.99.3-0osso15) unstable; urgency=low

  * Fix typo in osso14 changelog.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 31 Oct 2006 12:13:31 +0200

xorg-server (1:1.1.99.3-0osso14) unstable; urgency=low

  * Disable damage timer when idle (fixes: NB#45627).
  * Re-iterate the timer list when forcing all timers (fixes: NB#45763,
    NB#45899, NB#45959).
  * Properly count two pixels for horizontal downscaling (fixes: NB#45901).
  * Don't enable the segfault handler unless building with debug (fixes:
    NB#45976).

 -- Daniel Stone <daniel.stone@nokia.com>  Mon, 30 Oct 2006 14:13:45 +0200

xorg-server (1:1.1.99.3-0osso13) unstable; urgency=low

  * Cope with time rewinding in WaitForSomething (fixes: #44137).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 25 Oct 2006 19:49:31 +0300

xorg-server (1:1.1.99.3-0osso12) unstable; urgency=low

  * Remove the word 'W***o' from xf86PciStdIds.h.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 19 Oct 2006 16:58:07 +0300

xorg-server (1:1.1.99.3-0osso11) unstable; urgency=low

  * Version bumped for purely arbitrary reasons: the last two versions were
    never included.
  * Always stop video when port is ungrabbed (either explicitly or when client
    dies).
  * Fix Nokia Corporation copyrights, and remove pci.ids (closes: #43378).
  * Fix horizontal downscaling to odd widths (closes: #40703).
  * Sync to vblank by default (closes: #38674).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed,  4 Oct 2006 13:49:49 +0000

xorg-server (1:1.1.99.3-0osso10) unstable; urgency=low

  * Simplify omap_draw.c further.
  * Make sure ButtonReleases always come from the right place, and jitter
    filter doesn't get activated on new presses.
  * Clear the video overlay when we release it.
  * Add memcpy()-based fast paths to KdXvCopyPackedData.
  * Add memcpy()-based fast path to omapCopyPackedData, and do aligned
    accesses for the fallback.

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 22 Sep 2006 09:54:30 +0000

xorg-server (1:1.1.99.3-0osso9) unstable; urgency=low

  * Silence warning about UPDATE_WINDOW failure in Xv (closes: #40688).
  * Special-case XkbDDXTerminateServer for KDrive (closes: #32638 and #38380,
    really this time).
  * Completely gut omap_draw.c and move to using the miext/damage API.
  * Bumped Build-Depends on x11proto-core-dev for _X_INLINE.
  * Completely overhaul tslib queue (closes: #39506).

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 19 Sep 2006 14:47:09 +0300

xorg-server (1:1.1.99.3-0osso8) unstable; urgency=low

  * Properly initialise pPortPriv in the Xv implementation.
  * Don't check for .default at each boot (closes: #40285).
  * Don't stomp -nozap in KDrive when using XKB (closes: #32638).
  * Fix XKB repeating (closes: #36966).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 13 Sep 2006 10:10:56 +0000

xorg-server (1:1.1.99.3-0osso7) unstable; urgency=low

  * Update to input-hotplug HEAD again.
    + Be 'smarter' about clobbering geometry (closes: #39626).
  * Re-add missing backtrace support (lost in the git merge).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  7 Sep 2006 12:48:23 +0300

xorg-server (1:1.1.99.3-0osso6) unstable; urgency=low

  * Add Xv point-sampling downscaling support.
  * Mark a plane as dirty when its attributes change, and set the plane up
    again.
  * Make sure we actually expose the downscaling type attribute, but don't
    expose the colourkey attribute yet, due to #39223.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 29 Aug 2006 14:01:02 +0000

xorg-server (1:1.1.99.3-0osso5) unstable; urgency=low

  * Update to input-hotplug HEAD.
    + Fixes random Caps Lock behaviour (closes: #36997) and key repeating
      when using XKB (closes: #38855).
    + Doesn't run custom KDrive actions when using XKB (closes: #38380).
  * Move XKB output dir to /tmp (closes: #38780).
  * Use thumb mode when enabled (closes: #36583).
  * Remove increment-other-direction-when-scaling-in-one Xv hack and spam


=== debian/control ===
Source: xorg-server
Section: x11
Priority: optional
Maintainer: Daniel Stone <daniel.stone@nokia.com>
Build-Depends: debhelper (>= 4.0.0), pkg-config, bison, flex, x11proto-bigreqs-dev, x11proto-core-dev (>= 7.0.8), x11proto-damage-dev, x11proto-fixes-dev, x11proto-kb-dev (>= 1.0.1-1), x11proto-xinerama-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-trap-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev (>= 6.9.99.0-1), x11proto-xf86bigfont-dev, xtrans-dev, libxau-dev (>= 1:0.99.1-1), libxdmcp-dev (>= 1:0.99.1-1), libxfont-dev, libfontenc-dev, libxkbfile-dev (>= 1:0.99.1-1), libxmuu-dev (>= 1:0.99.1-1) [i386 amd64], libxext-dev (>= 1:1.0.0-3) [i386 amd64], libx11-dev (>= 2:1.0.0-6osso1) [i386 amd64], libxrender-dev (>= 1:0.9.0-1) [i386 amd64], libxi-dev (>= 1:0.99.1-1) [i386 amd64], quilt, x11proto-xsp-dev, tslib-dev [arm armel], linux-kernel-headers (>= 2.6.16.osso3)
Build-Conflicts: xlibs-static-dev
Standards-Version: 3.6.1.0

Package: xserver-xomap
Architecture: arm armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: xserver
Recommends: xkbdata, xkbutils
Description: OMAP X server
 The Xomap server provides a driver for the Maemo hardware platform,
 using the OMAP framebuffer drivers and a touchscreen.

Package: xserver-xephyr
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nested X server
 The Xephyr server is a nested X server, which allows you to run another
 X server for testing purposes.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian xorg-server package.
# Copyright © 2004 Scott James Remnant <scott@netsplit.com>
# Copyright © 2005 Daniel Stone <daniel@fooishbar.org>
# Copyright © 2005 David Nusinow <dnusinow@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include debian/xsfbs/xsfbs.mk

CFLAGS = -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0 -g3
else
	CFLAGS += -O2 -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUG_FLAGS="--enable-debug"
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_BUILD_GNU_TYPE)
endif

INSTALL=/usr/bin/install

# Build Xomap on ARM, Xephyr on i386/amd64.  Xephyr doesn't work with
# Xomap.  Woo.  Also, ARM means a product target, i386/amd64 means an
# SDK target.  We really need a better way of making this distinction.
ifeq ($(DEB_BUILD_ARCH),armel)
KDRIVE_PLATFORM_FLAGS=--enable-xomap --disable-xephyr --enable-xsp --enable-xkb --with-vendor-string=Nokia
else
KDRIVE_PLATFORM_FLAGS=--disable-xomap --enable-xephyr --disable-xsp --disable-xkb --with-vendor-string=Maemo
endif

KDRIVE_PLATFORM_FLAGS += --disable-xgl --disable-xsdl --disable-xfake --disable-xfbdev --disable-kdrive-vesa

export DH_OPTIONS

confflags += --disable-xorg --disable-dmx --disable-xvfb --disable-xprint \
             --disable-lbx --disable-xorgconfig --disable-xorgcfg \
             --disable-xtrap --enable-xsp --disable-xnest --disable-xwin \
             --disable-xgl --enable-kdrive $(KDRIVE_PLATFORM_FLAGS) \
             --disable-composite --disable-glx --disable-dri \
             --enable-builtin-fonts --disable-xevie --disable-xck \
             --disable-ipv6 --disable-dbus --enable-null-root-cursor \
             --with-xkb-output=/tmp $(DEBUG_FLAGS)

build: build-stamp
build-stamp: $(STAMP_DIR)/patch
	dh_testdir

	mkdir -p obj-$(DEB_BUILD_GNU_TYPE)/GL
	cd obj-$(DEB_BUILD_GNU_TYPE) && \
	../configure --prefix=/usr --mandir=\$${prefix}/share/man \
	             --infodir=\$${prefix}/share/info --sysconfdir=/etc \
	             --localstatedir=/var $(confflags) CFLAGS="$(CFLAGS)" 
	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE)

	touch $@

clean: xsfclean
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -f config.cache config.log config.status
	rm -f */config.cache */config.log */config.status
	rm -f conftest* */conftest*
	rm -rf autom4te.cache */autom4te.cache
	rm -rf obj-*

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
ifeq ($(DEB_BUILD_ARCH),armel)
	install -d $(CURDIR)/debian/xserver-xomap/etc
	install -m644 $(CURDIR)/debian/pointercal-* $(CURDIR)/debian/xserver-xomap/etc/
	install -d $(CURDIR)/debian/xserver-xomap/etc/osso-af-init
	install -m644 $(CURDIR)/debian/x-server.defs $(CURDIR)/debian/xserver-xomap/etc/osso-af-init/
endif

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-s
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_installdocs
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp
ifeq ($(DEB_BUILD_ARCH),armel)
	dh_installinit -pxserver-xomap --name=x-server -u"start 21 2 3 4 5 . stop 23 0 1 6 ." --no-start
endif
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_strip
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# Nothing to do

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## xorg-server 1.1.99.3-0osso31

=== debian/changelog ===
xorg-server (1:1.1.99.3-0osso31) unstable; urgency=low

  * Really don't attempt to render to deleted drawables (fixes: #52364).
  * Stop fully-obscured non-migrated videos harder (fixes: NB#52503).

 -- Daniel Stone <daniel.stone@nokia.com>  Tue,  6 Mar 2007 17:30:02 +0200

xorg-server (1:1.1.99.3-0osso30) unstable; urgency=low

  * Don't attempt to render to deleted drawables (fixes: NB#52333).

 -- Daniel Stone <daniel.stone@nokia.com>  Mon,  5 Mar 2007 15:33:19 +0200

xorg-server (1:1.1.99.3-0osso29) unstable; urgency=low

  * Cancel timer when stopping video, and NULL it when cancelling (fixes:
    NB#52332, NB#52333).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  1 Mar 2007 14:49:39 +0200

xorg-server (1:1.1.99.3-0osso28) unstable; urgency=low

  * Make sure updates always occur when they should (fixes: NB#51953,
    NB#52044, NB#51873).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 21 Feb 2007 21:03:49 +0200

xorg-server (1:1.1.99.3-0osso27) unstable; urgency=low

  * Really fix client setup leaks, as well as a keysym map leak that's already
    fixed in master (fixes: NB#41259).
  * Fix planar video downscaling (fixes: NB#51873).

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 16 Feb 2007 19:08:09 +0200

xorg-server (1:1.1.99.3-0osso26) unstable; urgency=low

  * Don't listen on TCP (fixes: NB#51715, MB#1055).
  * Further tweak tslib queuing semantics (fixes: NB#50302).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 14 Feb 2007 10:18:30 +0000

xorg-server (1:1.1.99.3-0osso25) unstable; urgency=low

  * Make sure overlay is _always_ cleared when releasing migrated videos
    (fixes: NB#51487).
  * Fix pixel doubling updates (fixes: NB#41076).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  8 Feb 2007 15:26:04 +0200

xorg-server (1:1.1.99.3-0osso24) unstable; urgency=low

  * Sync UI drawing to vblank (fixes: NB#50830).
  * Don't migrate downscaled videos (fixes: NB#50771).
  * Fix memory leak in client setup (fixes: NB#41259), Xephyr screen privates
    and core keyboard modifier map (fixes: NB#50609).  Also fix
    under-allocation of keysym map, and use of uninitialised postdown.
  * Make a more pessimistic guess at window visibility if we can't get it when
    starting a video (fixes: NB#50813).
  * Make sure we never issue a UI update from video hooks that affect other
    video areas (fixes: NB#50664).
  * Add a timer to update blocking so we don't block updates when a video is
    stopped (fixes: NB#50646).

 -- Daniel Stone <daniel.stone@nokia.com>  Mon,  5 Feb 2007 14:24:02 +0200

xorg-server (1:1.1.99.3-0osso23) unstable; urgency=low

  * Always align y and height on 2px boundaries.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 11 Jan 2007 12:46:59 +0200

xorg-server (1:1.1.99.3-0osso22) unstable; urgency=low

  * Overhaul omap_video.c to suit new kernel interfaces, allowing us to pass
    planar video through to the external LCD controller.
  * Re-add support for pixel doubling, in the form of window expansion (fixes:
    NB#41076).
  * Fix segfault on regeneration.
  * Resync fbmmx signatures (fixes: NB#47760).
  * Make sure we don't revive an inactive overlay (fixes: NB#46112, NB#48519).
  * Add xserver-x{omap,ephyr}-dbg (fixes: NB#48207).
  * Disable the XC-SECURITY extension.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 21 Nov 2006 09:52:10 +0200

xorg-server (1:1.1.99.3-0osso21.1) unstable; urgency=low

  * Always send button 1, instead of button 8, for thumb events.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 30 Nov 2006 15:43:42 +0200

## xorg-server 1.1.99.3-0osso37

=== debian/changelog ===
xorg-server (1:1.1.99.3-0osso37) unstable; urgency=low

  * Make sure press and release pressure are matched (fixes: NB#59900).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  7 Jun 2007 15:22:12 +0300

xorg-server (1:1.1.99.3-0osso36) unstable; urgency=low

  * Send button 8 events instead of button 1 (fixes: NB#59707).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed,  6 Jun 2007 16:36:24 +0300

xorg-server (1:1.1.99.3-0osso35) unstable; urgency=low

  * Also perform calibration for earlier hardware builds.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue,  5 Jun 2007 18:39:30 +0300

xorg-server (1:1.1.99.3-0osso34) unstable; urgency=low

  * Re-calibrate for new kernel touchscreen driver.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 15 May 2007 12:49:10 +0300

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,23 @@
  The Xomap server provides a driver for the Maemo hardware platform,
  using the OMAP framebuffer drivers and a touchscreen.
 
+Package: xserver-xomap-dbg
+Architecture: arm armel
+Depends: xserver-xomap (= ${Source-Version})
+Description: OMAP X server (debug symbols)
+ This package provides debug symbols for xserver-xomap; please see that
+ package's description for more details.
+
 Package: xserver-xephyr
 Architecture: i386 amd64 powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Nested X server
  The Xephyr server is a nested X server, which allows you to run another
  X server for testing purposes.
+
+Package: xserver-xephyr-dbg
+Architecture: i386 amd64 powerpc
+Depends: xserver-xephyr (= ${Source-Version})
+Description: Nested X server (debug symbols)
+ This package provides debug symbols for xserver-xephyr; please see that
+ package's description for more details.

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 else
 	CFLAGS += -O2 -g
 endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -58,7 +59,7 @@
              --disable-composite --disable-glx --disable-dri \
              --enable-builtin-fonts --disable-xevie --disable-xck \
              --disable-ipv6 --disable-dbus --enable-null-root-cursor \
-             --with-xkb-output=/tmp $(DEBUG_FLAGS)
+             --with-xkb-output=/tmp --disable-xcsecurity $(DEBUG_FLAGS)
 
 build: build-stamp
 build-stamp: $(STAMP_DIR)/patch
@@ -116,7 +117,7 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	dh_strip
+	dh_strip --dbg-package=xserver-xomap --dbg-package=xserver-xephyr
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums

## xorg-server 1.3.99.0~git20070321-0osso20083101

=== debian/changelog ===
xorg-server (1:1.3.99.0~git20070321-0osso20083101) unstable; urgency=low

  * Fix memory leak when using Hailstorm overlay (fixes: NB#86543).
  * Fix memory leak in fb update code (fixes: NB#86873).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 31 Jul 2008 16:58:33 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20082301) unstable; urgency=low

  * Add XV_AUTOPAINT_COLORKEY property.
  * Optimise fbSolid for ARM (fixes: NB#85619).
  * Optimise YV12/I420 -> YUV420 conversion (fixes: NB#85053, MB#1278).

 -- Daniel Stone <daniel.stone@nokia.com>  Mon, 02 Jun 2008 14:50:53 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20074202) unstable; urgency=low

  * Minor compilation fixes. 

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 17 Oct 2007 16:57:08 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20074201) unstable; urgency=low

  * Fixes: NB#71040
  * Fixes: NB#71868
  * Fixes: NB#72674

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 16 Oct 2007 18:29:19 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20074001) unstable; urgency=low

  * Fixes: NB#71376

 -- Daniel Stone <daniel.stone@nokia.com>  Mon,  1 Oct 2007 15:23:25 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073902) unstable; urgency=low

  * Fixes: NB#62174

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 28 Sep 2007 16:49:38 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073901) unstable; urgency=low

  * Fixes: NB#62174

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 27 Sep 2007 15:57:19 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073801) unstable; urgency=low

  * Fixes: NB#62174

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 20 Sep 2007 02:35:37 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073701) unstable; urgency=low

  * Add IDLETIME counter.
  * Fixes: NB#69387

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  6 Sep 2007 16:55:02 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073601) unstable; urgency=low

  * Fixes: NB#65990
  * Fixes: NB#65737

 -- Daniel Stone <daniel.stone@nokia.com>  Mon,  3 Sep 2007 12:21:00 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073401) unstable; urgency=low

  * Fixes: NB#61926
  * Fixes: NB#65990

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 16 Aug 2007 17:53:54 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073001) unstable; urgency=low

  * Fixes: NB#64085
  * Fixes: NB#63893

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 26 Jul 2007 15:48:33 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072802) unstable; urgency=low

  * Clean up working directory (no actual changes).

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 13 Jul 2007 00:55:47 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072801) unstable; urgency=low

  * Pull in new HAL code (fixes: NB#59857).
  * Use non-exclusive evdev grab (fixes: NB#61583).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 12 Jul 2007 17:29:06 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072702) unstable; urgency=low

  * SVN directory removed to satisfy Lintian.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue,  3 Jul 2007 17:46:08 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072701) unstable; urgency=low

  * Don't use thumb when also using VFP.

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 29 Jun 2007 15:34:27 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072601) unstable; urgency=low

  * Fix I420 size calculation (fixes: NB#53446).
  * Really recalibrate for RX-34 and RX-44 (fixes: NB#61279).
  * Add VFP support (fixes: NB#61340).
  * Fix ts_write_calibration return code check (fixes: NB#60304).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 20 Jun 2007 17:22:24 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072501) unstable; urgency=low

  * Grab evdev devices when we enable them (fixes: NB#60167).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 14 Jun 2007 21:29:42 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072401) unstable; urgency=low

  * Switch to new versioning scheme.
  * Merge up from osso-1.0-branch.
  * Fix xv_colorkey/xv_vsync typo (fixes: NB#60089).

 -- Daniel Stone <daniel.stone@nokia.com>  Mon, 11 Jun 2007 19:02:42 +0300

xorg-server (1:1.3.99.0~git20070321-0osso4) unstable; urgency=low

  * Revert Daniel Amelang's patches, as they can introduce hangs.
  * Revert fds_bits hack.

 -- Daniel Stone <daniel.stone@nokia.com>  Fri,  1 Jun 2007 16:02:02 +0300

xorg-server (1:1.3.99.0~git20070321-0osso3) unstable; urgency=low

  * Tightly control the build environment, so we get fds_bits.

 -- Daniel Stone <daniel.stone@nokia.com>  Fri,  1 Jun 2007 13:11:22 +0300

xorg-server (1:1.3.99.0~git20070321-0osso2) unstable; urgency=low

  * Fix compilation on i386.

 -- Daniel Stone <daniel.stone@nokia.com>  Fri,  1 Jun 2007 11:35:27 +0300

xorg-server (1:1.3.99.0~git20070321-0osso1) unstable; urgency=low

  * Merge up to new master snapshot (i.e., what will become 1.4.0).
  * Add support for the Composite and Damage extensions (fixes: NB#58409).
  * Add default RX-44 calibration (fixes: NB#55465), and move calibrations to
    take the product into account as well as the hardware ID, since these are
    not unique across products.
  * Optimise a8r8g8b8 OVER r5g6b5 and a8b8g8r8 OVER r5g6b5 (from Daniel
    Amelang).
  * Change armel to wildcarded arm (fixes: NB#53681).
  * Move input hotplug to HAL, use evdev driver (fixes: NB#54936, NB#56384,
    NB#57989).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 15 Feb 2007 13:38:02 +0000

xorg-server (1:1.1.99.3-0osso33) unstable; urgency=low

  * Disable event filtering in tslib: let tslib do it.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 15 May 2007 12:49:10 +0300

xorg-server (1:1.1.99.3-0osso32) unstable; urgency=low

  * Add default RX-44 calibration (fixes: NB#55465), and move calibrations to
    take the product into account as well as the hardware ID, since these are
    not unique across products.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  3 May 2007 13:06:43 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Daniel Stone <daniel.stone@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), pkg-config, bison, flex, x11proto-bigreqs-dev, x11proto-core-dev (>= 7.0.8), x11proto-damage-dev, x11proto-fixes-dev, x11proto-kb-dev (>= 1.0.1-1), x11proto-xinerama-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-trap-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev (>= 6.9.99.0-1), x11proto-xf86bigfont-dev, xtrans-dev, libxau-dev (>= 1:0.99.1-1), libxdmcp-dev (>= 1:0.99.1-1), libxfont-dev, libfontenc-dev, libxkbfile-dev (>= 1:0.99.1-1), libxmuu-dev (>= 1:0.99.1-1) [i386 amd64], libxext-dev (>= 1:1.0.0-3) [i386 amd64], libx11-dev (>= 2:1.0.0-6osso1) [i386 amd64], libxrender-dev (>= 1:0.9.0-1) [i386 amd64], libxi-dev (>= 1:0.99.1-1) [i386 amd64], quilt, x11proto-xsp-dev, tslib-dev [arm armel], linux-kernel-headers (>= 2.6.16.osso3)
+Build-Depends: debhelper (>= 4.0.0), pkg-config, bison, flex, x11proto-bigreqs-dev, x11proto-composite-dev (>= 0.3), x11proto-core-dev (>= 7.0.8), x11proto-damage-dev (>> 1.1.0), x11proto-fixes-dev (>> 4.0), x11proto-kb-dev (>> 1.0.3), x11proto-xinerama-dev, x11proto-randr-dev (>> 1.2), x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-trap-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev (>= 6.9.99.0-1), x11proto-xf86bigfont-dev, x11proto-input-dev (>> 1.4.1), xtrans-dev, libxau-dev (>= 1:0.99.1-1), libxdmcp-dev (>= 1:0.99.1-1), libxfont-dev, libfontenc-dev, libxkbfile-dev (>= 1:0.99.1-1), libxmuu-dev (>= 1:0.99.1-1) [i386 amd64], libxext-dev (>= 1:1.0.0-3) [i386 amd64], libx11-dev (>= 2:1.0.0-6osso1) [i386 amd64], libxrender-dev (>= 1:0.9.0-1) [i386 amd64], libxi-dev (>= 1:0.99.1-1) [i386 amd64], quilt, x11proto-xsp-dev, tslib-dev [arm armel], linux-kernel-headers (>= 2.6.16.osso3), libhal-dev
 Build-Conflicts: xlibs-static-dev
 Standards-Version: 3.6.1.0

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,14 @@
 	DEBUG_FLAGS="--enable-debug"
 endif
 
-# Use soft-float and thumb mode if it enabled.
-ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mthumb
+# Use hardware floating point
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+else
+	# Use soft-float and thumb mode if it enabled.
+	ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+		CFLAGS += -mthumb
+	endif
 endif
 
 DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -42,7 +47,7 @@
 # Build Xomap on ARM, Xephyr on i386/amd64.  Xephyr doesn't work with
 # Xomap.  Woo.  Also, ARM means a product target, i386/amd64 means an
 # SDK target.  We really need a better way of making this distinction.
-ifeq ($(DEB_BUILD_ARCH),armel)
+ifneq (,$(findstring arm,$(DEB_BUILD_ARCH)))
 KDRIVE_PLATFORM_FLAGS=--enable-xomap --disable-xephyr --enable-xsp --enable-xkb --with-vendor-string=Nokia
 else
 KDRIVE_PLATFORM_FLAGS=--disable-xomap --enable-xephyr --disable-xsp --disable-xkb --with-vendor-string=Maemo
@@ -56,10 +61,10 @@
              --disable-lbx --disable-xorgconfig --disable-xorgcfg \
              --disable-xtrap --enable-xsp --disable-xnest --disable-xwin \
              --disable-xgl --enable-kdrive $(KDRIVE_PLATFORM_FLAGS) \
-             --disable-composite --disable-glx --disable-dri \
-             --enable-builtin-fonts --disable-xevie --disable-xck \
-             --disable-ipv6 --disable-dbus --enable-null-root-cursor \
-             --with-xkb-output=/tmp --disable-xcsecurity $(DEBUG_FLAGS)
+             --disable-glx --disable-dri --enable-builtin-fonts \
+	     --disable-xevie --disable-ipv6 --enable-dbus \
+	     --enable-null-root-cursor --with-xkb-output=/tmp \
+	     --disable-xcsecurity --enable-hal $(DEBUG_FLAGS)
 
 build: build-stamp
 build-stamp: $(STAMP_DIR)/patch
@@ -94,7 +99,7 @@
 	dh_installdirs
 
 	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
-ifeq ($(DEB_BUILD_ARCH),armel)
+ifneq (,$(findstring arm,$(DEB_BUILD_ARCH)))
 	install -d $(CURDIR)/debian/xserver-xomap/etc
 	install -m644 $(CURDIR)/debian/pointercal-* $(CURDIR)/debian/xserver-xomap/etc/
 	install -d $(CURDIR)/debian/xserver-xomap/etc/osso-af-init
@@ -110,7 +115,7 @@
 	dh_installdocs
 	dh_installchangelogs
 	dh_install --sourcedir=debian/tmp
-ifeq ($(DEB_BUILD_ARCH),armel)
+ifneq (,$(findstring arm,$(DEB_BUILD_ARCH)))
 	dh_installinit -pxserver-xomap --name=x-server -u"start 21 2 3 4 5 . stop 23 0 1 6 ." --no-start
 endif
 	dh_link

## xorg-server 1.3.99.0~git20070321-0osso20083801

=== debian/changelog ===
xorg-server (1:1.3.99.0~git20070321-0osso20083801) unstable; urgency=low

  * Add missed part of fb optimisations (fixes: NB#86182).

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 23 Sep 2008 14:32:13 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20083701) unstable; urgency=low

  * fb optimisation by Siarhei (fixes: NB#86182).
  * Cherry-pick trapezoid divide-by-zero patch (fixes: NB#87289).
  * Add RGB565 Xv support (fixes: NB#86400).

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 12 Sep 2008 18:59:51 +0300

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 # Use hardware floating point
 ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+	CFLAGS += -march=armv6 -mfpu=vfp -mfloat-abi=softfp
 else
 	# Use soft-float and thumb mode if it enabled.
 	ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
